package com.fjhx.victoriatourist.controller.logistics;

import org.springframework.web.bind.annotation.*;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.victoriatourist.entity.logistics.vo.LogisticsInfoVo;
import com.fjhx.victoriatourist.entity.logistics.dto.LogisticsInfoSelectDto;
import com.fjhx.victoriatourist.entity.logistics.dto.LogisticsInfoDto;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.fjhx.victoriatourist.service.logistics.MyLogisticsInfoService;
import org.springframework.beans.factory.annotation.Autowired;


/**
 * <p>
 * 物流信息 前端控制器
 * </p>
 *
 * @author 
 * @since 2023-04-12
 */
@RestController
@RequestMapping("/logisticsInfo")
public class LogisticsInfoController {

    @Autowired
    private MyLogisticsInfoService logisticsInfoService;

    /**
     * 物流信息分页
     */
    @PostMapping("/page")
    public Page<LogisticsInfoVo> page(@RequestBody LogisticsInfoSelectDto dto) {
        return logisticsInfoService.getPage(dto);
    }

    /**
     * 物流信息明细
     */
    @PostMapping("/detail")
    public LogisticsInfoVo detail(@RequestBody BaseSelectDto dto) {
        return logisticsInfoService.detail(dto.getId());
    }

    /**
     * 物流信息新增
     */
    @PostMapping("/add")
    public void add(@RequestBody LogisticsInfoDto logisticsInfoDto) {
        logisticsInfoService.add(logisticsInfoDto);
    }

    /**
     * 物流信息编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody LogisticsInfoDto logisticsInfoDto) {
        logisticsInfoService.edit(logisticsInfoDto);
    }

    /**
     * 物流信息删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        logisticsInfoService.delete(dto.getId());
    }

}
