package com.fjhx.victoriatourist.service.order.impl;

import com.fjhx.victoriatourist.entity.order.po.OrderInfo;
import com.fjhx.victoriatourist.mapper.order.OrderInfoMapper;
import com.fjhx.victoriatourist.service.order.OrderInfoService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.victoriatourist.entity.order.vo.OrderInfoVo;
import com.fjhx.victoriatourist.entity.order.dto.OrderInfoSelectDto;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.fjhx.victoriatourist.entity.order.dto.OrderInfoDto;
import cn.hutool.core.bean.BeanUtil;


/**
 * <p>
 * 订单 服务实现类
 * </p>
 *
 * @author 
 * @since 2023-04-13
 */
@Service
public class OrderInfoServiceImpl extends ServiceImpl<OrderInfoMapper, OrderInfo> implements OrderInfoService {

    @Override
    public Page<OrderInfoVo> getPage(OrderInfoSelectDto dto) {
        IWrapper<OrderInfo> wrapper = getWrapper();
        wrapper.orderByDesc("oi", OrderInfo::getId);
        Page<OrderInfoVo> page = this.baseMapper.getPage(dto.getPage(), wrapper);
        return page;
    }

    @Override
    public OrderInfoVo detail(Long id) {
        OrderInfo OrderInfo = this.getById(id);
        OrderInfoVo result = BeanUtil.toBean(OrderInfo, OrderInfoVo.class);
        return result;
    }

    @Override
    public void add(OrderInfoDto orderInfoDto) {
        this.save(orderInfoDto);
    }

    @Override
    public void edit(OrderInfoDto orderInfoDto) {
        this.updateById(orderInfoDto);
    }

    @Override
    public void delete(Long id) {
        this.removeById(id);
    }

}
